import { BasePartialBatchProcessor } from './BasePartialBatchProcessor.js';
import type { BaseRecord, FailureResponse, SuccessResponse } from './types.js';
/**
 * Process native partial responses from SQS, Kinesis Data Streams, and DynamoDB
 */
declare class BatchProcessorSync extends BasePartialBatchProcessor {
    processRecord(_record: BaseRecord): Promise<SuccessResponse | FailureResponse>;
    /**
     * Process a record with instance's handler
     * @param record Batch record to be processed
     * @returns response of success or failure
     */
    processRecordSync(record: BaseRecord): SuccessResponse | FailureResponse;
}
export { BatchProcessorSync };
//# sourceMappingURL=BatchProcessorSync.d.ts.map